GETGID(2)

NAME
getgid, getegid - get group process identification

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>

gid_t getgid(void);
gid_t getegid(void);

DESCRIPTION
The getgid function returns the real group ID of the calling process, getegid returns the effective group ID of the calling process.

The real group ID is specified at login time.

The real group ID is the group of the user who invoked the program. As the effective group ID gives the process additional permissions during the execution of set-group-ID mode processes, getgid is used to determine the real-user-id of the calling process.

ERRORS
The getgid and getegid functions are always successful, and no return value is reserved to indicate an error.

SEE ALSO
getuid(2), setregid(2), setgid(2)

STANDARDS
Getgid and getegid conform to IEEE Std 1003.1-1988 (POSIX).